Gets starting line number

- « ReflectionFunctionAbstract::getShortName

- ReflectionFunctionAbstract::getStaticVariables »

- PHP Manual
- ReflectionFunctionAbstract
- Gets starting line number

# ReflectionFunctionAbstract::getStartLine

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getStartLine — Gets starting line number

### Description

public ReflectionFunctionAbstract::getStartLine(): int|false

Gets the starting line number of the function.

### Parameters

This function has no parameters.

### Return Values

The starting line number, or `false` if unknown.

### See Also

- ReflectionFunctionAbstract::getEndLine() - Gets end line number